Delete Log Configuration Settings

Delete Log Configuration Settings
Remove the log classes from the log type

Remove the log classes from the log type

Request
URI
DELETE
https://{api_host}/suite-api/api/logs/configuration/{logtype}/settings
COPY
Path Parameters
string
logtype
Required

Log type

Possible values are : ANALYTICS, COLLECTOR, WEB, VIEW_BRIDGE, VCOPS_BRIDGE, SUITEAPI,

Request Body

Log class names to remove

str-values of type(s) application/json
Required
"{\n  \"values\" : [ \"com.vmware.info.logger.name\", \"com.vmware.debug.logger.name\" ]\n}"
array of string
values
Optional

values

Authentication
This operation uses the following authentication methods.
Responses
204

The log files are removed successfully.

Operation doesn't return any data structure

400

Given wrong or non existing log name

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X DELETE -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/suite-api/api/logs/configuration/{logtype}/settings